For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
              • GETList Promotions
              • DELDelete Multiple Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPromotionsPromotions Bulk

Delete Multiple Promotions

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/promotions
DELETE
/stores/:store_hash/v3/promotions
$curl -X DELETE "https://api.bigcommerce.com/stores/store_hash/v3/promotions?id:in=1" \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Deletes multiple promotions. Currently, batches are limited to 50 promotions. **Notes** * "id:in" query param is required to delete promotions. If this parameter is not provided, or provided with the wrong data format, a 422 error code is returned. * You cannot delete promotions that still have coupon codes attached. * The default rate limit for this endpoint is 40 concurrent requests.
Was this page helpful?
Previous

List Promotions

Next

Create Promotion

Built with

Deletes multiple promotions. Currently, batches are limited to 50 promotions.

Notes

  • “id:in” query param is required to delete promotions. If this parameter is not provided, or provided with the wrong data format, a 422 error code is returned.
  • You cannot delete promotions that still have coupon codes attached.
  • The default rate limit for this endpoint is 40 concurrent requests.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlist of integersRequired

A comma-separated list of promotions to filter or target with this operation.

Example: ?id:in=11,12,13,14

Response

A 204 response.

Errors

422
Unprocessable Entity Error